org.eclipse.emf.cdo.server

## Interface IStoreChunkReader

- All Known Subinterfaces:
    IDBStoreChunkReader, IHibernateStoreChunkReader, ILissomeStoreChunkReader, IObjectivityStoreChunkReader
  All Known Implementing Classes:
    StoreChunkReader

      public interface IStoreChunkReader

  Reads `chunks` of `partially loaded` lists from a physical data storage backend.
  Author:
    Eike Stepper
  Apiviz
    `IStoreChunkReader.Chunk` - - reads

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IStoreChunkReader.Chunk` Represents a `sublist` of consecutive elements that are subject to partial collection loading.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRangedChunk(int fromIndex, int toIndex)`
    `void` | `addSimpleChunk(int index)`
    `List<IStoreChunkReader.Chunk>` | `executeRead()`
    `IStoreAccessor` | `getAccessor()`
    `EStructuralFeature` | `getFeature()`
    `CDORevision` | `getRevision()`

- - ### Method Detail

    - #### getAccessor

          IStoreAccessor getAccessor()

      Since:
        2.0

    - #### getRevision

          CDORevision getRevision()

    - #### getFeature

          EStructuralFeature getFeature()

      Since:
        2.0

    - #### addSimpleChunk

          void addSimpleChunk(int index)

    - #### addRangedChunk

          void addRangedChunk(int fromIndex,
                              int toIndex)

      Parameters:
        `fromIndex` - Inclusive value.
        `toIndex` - Exclusive value.

    - #### executeRead

          List<IStoreChunkReader.Chunk> executeRead()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html